/*******************************************************************************
* File Name: InPin.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_InPin_ALIASES_H) /* Pins InPin_ALIASES_H */
#define CY_PINS_InPin_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define InPin_0			(InPin__0__PC)
#define InPin_0_INTR	((uint16)((uint16)0x0001u << InPin__0__SHIFT))

#define InPin_1			(InPin__1__PC)
#define InPin_1_INTR	((uint16)((uint16)0x0001u << InPin__1__SHIFT))

#define InPin_2			(InPin__2__PC)
#define InPin_2_INTR	((uint16)((uint16)0x0001u << InPin__2__SHIFT))

#define InPin_3			(InPin__3__PC)
#define InPin_3_INTR	((uint16)((uint16)0x0001u << InPin__3__SHIFT))

#define InPin_INTR_ALL	 ((uint16)(InPin_0_INTR| InPin_1_INTR| InPin_2_INTR| InPin_3_INTR))

#endif /* End Pins InPin_ALIASES_H */


/* [] END OF FILE */
