/*******************************************************************************
* File Name: SwIn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SwIn_H) /* Pins SwIn_H */
#define CY_PINS_SwIn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SwIn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SwIn__PORT == 15 && ((SwIn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SwIn_Write(uint8 value);
void    SwIn_SetDriveMode(uint8 mode);
uint8   SwIn_ReadDataReg(void);
uint8   SwIn_Read(void);
void    SwIn_SetInterruptMode(uint16 position, uint16 mode);
uint8   SwIn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SwIn_SetDriveMode() function.
     *  @{
     */
        #define SwIn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SwIn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SwIn_DM_RES_UP          PIN_DM_RES_UP
        #define SwIn_DM_RES_DWN         PIN_DM_RES_DWN
        #define SwIn_DM_OD_LO           PIN_DM_OD_LO
        #define SwIn_DM_OD_HI           PIN_DM_OD_HI
        #define SwIn_DM_STRONG          PIN_DM_STRONG
        #define SwIn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SwIn_MASK               SwIn__MASK
#define SwIn_SHIFT              SwIn__SHIFT
#define SwIn_WIDTH              4u

/* Interrupt constants */
#if defined(SwIn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SwIn_SetInterruptMode() function.
     *  @{
     */
        #define SwIn_INTR_NONE      (uint16)(0x0000u)
        #define SwIn_INTR_RISING    (uint16)(0x0001u)
        #define SwIn_INTR_FALLING   (uint16)(0x0002u)
        #define SwIn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SwIn_INTR_MASK      (0x01u) 
#endif /* (SwIn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SwIn_PS                     (* (reg8 *) SwIn__PS)
/* Data Register */
#define SwIn_DR                     (* (reg8 *) SwIn__DR)
/* Port Number */
#define SwIn_PRT_NUM                (* (reg8 *) SwIn__PRT) 
/* Connect to Analog Globals */                                                  
#define SwIn_AG                     (* (reg8 *) SwIn__AG)                       
/* Analog MUX bux enable */
#define SwIn_AMUX                   (* (reg8 *) SwIn__AMUX) 
/* Bidirectional Enable */                                                        
#define SwIn_BIE                    (* (reg8 *) SwIn__BIE)
/* Bit-mask for Aliased Register Access */
#define SwIn_BIT_MASK               (* (reg8 *) SwIn__BIT_MASK)
/* Bypass Enable */
#define SwIn_BYP                    (* (reg8 *) SwIn__BYP)
/* Port wide control signals */                                                   
#define SwIn_CTL                    (* (reg8 *) SwIn__CTL)
/* Drive Modes */
#define SwIn_DM0                    (* (reg8 *) SwIn__DM0) 
#define SwIn_DM1                    (* (reg8 *) SwIn__DM1)
#define SwIn_DM2                    (* (reg8 *) SwIn__DM2) 
/* Input Buffer Disable Override */
#define SwIn_INP_DIS                (* (reg8 *) SwIn__INP_DIS)
/* LCD Common or Segment Drive */
#define SwIn_LCD_COM_SEG            (* (reg8 *) SwIn__LCD_COM_SEG)
/* Enable Segment LCD */
#define SwIn_LCD_EN                 (* (reg8 *) SwIn__LCD_EN)
/* Slew Rate Control */
#define SwIn_SLW                    (* (reg8 *) SwIn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SwIn_PRTDSI__CAPS_SEL       (* (reg8 *) SwIn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SwIn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SwIn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SwIn_PRTDSI__OE_SEL0        (* (reg8 *) SwIn__PRTDSI__OE_SEL0) 
#define SwIn_PRTDSI__OE_SEL1        (* (reg8 *) SwIn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SwIn_PRTDSI__OUT_SEL0       (* (reg8 *) SwIn__PRTDSI__OUT_SEL0) 
#define SwIn_PRTDSI__OUT_SEL1       (* (reg8 *) SwIn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SwIn_PRTDSI__SYNC_OUT       (* (reg8 *) SwIn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SwIn__SIO_CFG)
    #define SwIn_SIO_HYST_EN        (* (reg8 *) SwIn__SIO_HYST_EN)
    #define SwIn_SIO_REG_HIFREQ     (* (reg8 *) SwIn__SIO_REG_HIFREQ)
    #define SwIn_SIO_CFG            (* (reg8 *) SwIn__SIO_CFG)
    #define SwIn_SIO_DIFF           (* (reg8 *) SwIn__SIO_DIFF)
#endif /* (SwIn__SIO_CFG) */

/* Interrupt Registers */
#if defined(SwIn__INTSTAT)
    #define SwIn_INTSTAT            (* (reg8 *) SwIn__INTSTAT)
    #define SwIn_SNAP               (* (reg8 *) SwIn__SNAP)
    
	#define SwIn_0_INTTYPE_REG 		(* (reg8 *) SwIn__0__INTTYPE)
	#define SwIn_1_INTTYPE_REG 		(* (reg8 *) SwIn__1__INTTYPE)
	#define SwIn_2_INTTYPE_REG 		(* (reg8 *) SwIn__2__INTTYPE)
	#define SwIn_3_INTTYPE_REG 		(* (reg8 *) SwIn__3__INTTYPE)
#endif /* (SwIn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SwIn_H */


/* [] END OF FILE */
