/*******************************************************************************
* File Name: SwOut.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SwOut_H) /* Pins SwOut_H */
#define CY_PINS_SwOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SwOut_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SwOut__PORT == 15 && ((SwOut__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SwOut_Write(uint8 value);
void    SwOut_SetDriveMode(uint8 mode);
uint8   SwOut_ReadDataReg(void);
uint8   SwOut_Read(void);
void    SwOut_SetInterruptMode(uint16 position, uint16 mode);
uint8   SwOut_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SwOut_SetDriveMode() function.
     *  @{
     */
        #define SwOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SwOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SwOut_DM_RES_UP          PIN_DM_RES_UP
        #define SwOut_DM_RES_DWN         PIN_DM_RES_DWN
        #define SwOut_DM_OD_LO           PIN_DM_OD_LO
        #define SwOut_DM_OD_HI           PIN_DM_OD_HI
        #define SwOut_DM_STRONG          PIN_DM_STRONG
        #define SwOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SwOut_MASK               SwOut__MASK
#define SwOut_SHIFT              SwOut__SHIFT
#define SwOut_WIDTH              4u

/* Interrupt constants */
#if defined(SwOut__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SwOut_SetInterruptMode() function.
     *  @{
     */
        #define SwOut_INTR_NONE      (uint16)(0x0000u)
        #define SwOut_INTR_RISING    (uint16)(0x0001u)
        #define SwOut_INTR_FALLING   (uint16)(0x0002u)
        #define SwOut_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SwOut_INTR_MASK      (0x01u) 
#endif /* (SwOut__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SwOut_PS                     (* (reg8 *) SwOut__PS)
/* Data Register */
#define SwOut_DR                     (* (reg8 *) SwOut__DR)
/* Port Number */
#define SwOut_PRT_NUM                (* (reg8 *) SwOut__PRT) 
/* Connect to Analog Globals */                                                  
#define SwOut_AG                     (* (reg8 *) SwOut__AG)                       
/* Analog MUX bux enable */
#define SwOut_AMUX                   (* (reg8 *) SwOut__AMUX) 
/* Bidirectional Enable */                                                        
#define SwOut_BIE                    (* (reg8 *) SwOut__BIE)
/* Bit-mask for Aliased Register Access */
#define SwOut_BIT_MASK               (* (reg8 *) SwOut__BIT_MASK)
/* Bypass Enable */
#define SwOut_BYP                    (* (reg8 *) SwOut__BYP)
/* Port wide control signals */                                                   
#define SwOut_CTL                    (* (reg8 *) SwOut__CTL)
/* Drive Modes */
#define SwOut_DM0                    (* (reg8 *) SwOut__DM0) 
#define SwOut_DM1                    (* (reg8 *) SwOut__DM1)
#define SwOut_DM2                    (* (reg8 *) SwOut__DM2) 
/* Input Buffer Disable Override */
#define SwOut_INP_DIS                (* (reg8 *) SwOut__INP_DIS)
/* LCD Common or Segment Drive */
#define SwOut_LCD_COM_SEG            (* (reg8 *) SwOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define SwOut_LCD_EN                 (* (reg8 *) SwOut__LCD_EN)
/* Slew Rate Control */
#define SwOut_SLW                    (* (reg8 *) SwOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SwOut_PRTDSI__CAPS_SEL       (* (reg8 *) SwOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SwOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SwOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SwOut_PRTDSI__OE_SEL0        (* (reg8 *) SwOut__PRTDSI__OE_SEL0) 
#define SwOut_PRTDSI__OE_SEL1        (* (reg8 *) SwOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SwOut_PRTDSI__OUT_SEL0       (* (reg8 *) SwOut__PRTDSI__OUT_SEL0) 
#define SwOut_PRTDSI__OUT_SEL1       (* (reg8 *) SwOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SwOut_PRTDSI__SYNC_OUT       (* (reg8 *) SwOut__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SwOut__SIO_CFG)
    #define SwOut_SIO_HYST_EN        (* (reg8 *) SwOut__SIO_HYST_EN)
    #define SwOut_SIO_REG_HIFREQ     (* (reg8 *) SwOut__SIO_REG_HIFREQ)
    #define SwOut_SIO_CFG            (* (reg8 *) SwOut__SIO_CFG)
    #define SwOut_SIO_DIFF           (* (reg8 *) SwOut__SIO_DIFF)
#endif /* (SwOut__SIO_CFG) */

/* Interrupt Registers */
#if defined(SwOut__INTSTAT)
    #define SwOut_INTSTAT            (* (reg8 *) SwOut__INTSTAT)
    #define SwOut_SNAP               (* (reg8 *) SwOut__SNAP)
    
	#define SwOut_0_INTTYPE_REG 		(* (reg8 *) SwOut__0__INTTYPE)
	#define SwOut_1_INTTYPE_REG 		(* (reg8 *) SwOut__1__INTTYPE)
	#define SwOut_2_INTTYPE_REG 		(* (reg8 *) SwOut__2__INTTYPE)
	#define SwOut_3_INTTYPE_REG 		(* (reg8 *) SwOut__3__INTTYPE)
#endif /* (SwOut__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SwOut_H */


/* [] END OF FILE */
